BTRFS-CHECK(8)

NAME
btrfs-check - check or repair a btrfs filesystem offline

SYNOPSIS

btrfs check [options] <device>

DESCRIPTION

btrfs check is used to check or repair a btrfs filesystem offline.

    Note

    Since btrfs is under heavy development especially the btrfs check command, it is highly recommended to read the following btrfs wiki before executing btrfs check with --repair option: https://btrfs.wiki.kernel.org/index.php/Btrfsck

btrfsck is an alias of btrfs check command and is now deprecated.

OPTIONS

-s|--super <superblock>
    use '<superblock>'th superblock copy.

--repair
    try to repair the filesystem.

--init-csum-tree
    create a new CRC tree.

--init-extent-tree
    create a new extent tree.

--check-data-csum
    verify checkums of data blocks.

EXIT STATUS

btrfs check returns a zero exit status if it succeeds. Non zero is returned in case of failure.

AVAILABILITY

btrfs is part of btrfs-progs. Please refer to the btrfs wiki http://btrfs.wiki.kernel.org for further details.

SEE ALSO

mkfs.btrfs(8), btrfs-scrub(8), btrfs-rescue(8)